.gdrp-cookie {
    position: fixed;
    bottom: 0;
    left: 0;
    right: 0;
    background-color: #020202;
    padding: 20px;
    z-index: 15;
    border-radius: 15px 15px 0 0;
    border: 1px solid #FFC629;
    opacity: 0;
    transform: translateY(100%);
    transition: opacity 0.3s, transform 0.3s;
}

.gdrp-banner__body {
    display: flex;
    justify-content: space-between;
    align-items: flex-end;
}

.gdrp-banner__wrapper {
    display: flex;
    align-items: center;
}

.gdrp-banner__title {
    margin-bottom: 20px;
    font-size: 16px;
    font-weight: bold;
    color: #ffffff;
}
.gdrp-banner__text {
    font-size: 14px;
    color: #ffffff;
    margin-bottom: 0px;
}

.gdrp-banner__accept-btn {
    border: none;
    cursor: pointer;
    font-size: 16px;
    font-weight: 600;
    fill: #000000;
    color: #000000;
    background-color: transparent;
    background-image: radial-gradient(at top right, #FFD800 100%, #000000 100%);
    padding: 10px 20px 10px 20px;
    margin-left: 30px;
    transition: all ease-in-out .3s;
}
.gdrp-banner__accept-btn:hover,
.gdrp-banner__accept-btn:focus {
    color: #000000;
    background-color: #ffc629;
    border-color: #ffc629;
    transform: scale(1.05);
}

.gdrp-banner__close-btn {
    position: absolute;
    top: 20px;
    right: 20px;
    background: transparent !important;
    padding: 10px;
    transition: all ease-in-out .3s;
    z-index: 10;
}
.gdrp-banner__close-btn:hover {
    transform: rotate(90deg);    
}

@media (max-width: 768px) {
    .gdrp-cookie {
        padding: 15px;
    }
    .gdrp-banner__close-btn {
        top: 15px;
        right: 15px;
    }
    .gdrp-banner__accept-btn {
        font-size: 14px;
        padding: 8px 15px 8px 15px;
    }
    .gdrp-banner__body {
        flex-direction: column;
        align-items: flex-start;
    }
    .gdrp-banner__accept-btn {
        margin-left: 0px;
    }
    .gdrp-banner__text {
        font-size: 12px;
        line-height: 1.3;
        margin-bottom: 10px;
    }
    .gdrp-banner__title {
        margin-bottom: 10px;
    }
}